//Common functions
function create_scan_table(table_id){
       Utils.createTable("#"+table_id);
       configure_table(table_id);
}

function configure_table(table_id){
        table = $("#"+table_id);//alert("start"+table_id);
        table.data("tablesorter").widgets.push('print');//alert("end"+table_id);
        table.data("tablesorter").widgets.push('columnSelector');
        table.data("tablesorter").widgetOptions['columnSelector_container']=$("#"+table_id+'_columnSelector');

        table.tablesorterPager({
        container: $( "#pager_"+table_id ),
        output: '{startRow} to {endRow} ({filteredRows})',
        size: 100,
    });

        $( '#'+table_id+'_print').click(function(){
          table.trigger('printTable');
        });
}

function reload_active_tabs()
{
      var current_index = $("#tabs").tabs("option","active");
      $("#tabs").tabs('load',current_index);
}
//Gestion des onglets
function initTab(css_selector)
{
  $( css_selector ).tabs({
    heightStyle: "content",
    beforeLoad: function( event, ui ) {
        $('.overlay').show();
        $('#loadingGif').show();
    return true;
      ui.jqXHR.error(function() {
        ui.panel.html(tab_error);
        $('.overlay').hide();
        $('#loadingGif').hide();
      });
    },
   // active: activate,
    load: function (event, ui){
        $('.overlay').hide();
        $('#loadingGif').hide();
    if(ui.panel.find("#page_login_detect").length > 0) location.reload();
    //alert( $(ui.newPanel).html());
    //alert( $(ui.oldPanel).html());
    //alert( $(ui.panel).html());
  },
  });
}

//Page Etat des services
function init_gauge(css_selector)
{
  $( css_selector ).each(function(){
     var chart = c3.generate({
         bindto: "#"+$(this).attr('id'),
         data: {
             columns: [[$(this).data('label'),$(this).data('value')]],
             type:"gauge"
             },
         color: {
             pattern: ["#83BC00","#FFCB1F","#DA002E"],
             threshold: {
                 //            unit: 'value', // percentage is default
                 //            max: 200, // 100 is default
                                         values: [80,90]
                                         }
             },
         size: {
             height: 100,
             width:180,
             },
         gauge: {
             label:{
                 format: function(value, ratio){
                     return value;
                 },
             },
             min: 0,
             max: 100,
             units: "%"
         },
         tooltip: {
             format: {
                 value: function (value, ratio, id) {
                     var format = d3.format(',');
                     return format(value);

                 }
         }
         }
  });
  });
}

//Page Vue des Stockages
function view(key)
{
    $(key).each(function()
    {
   		if($(this).find("#default").attr('type') == 'text')
   		{
   			$(this).find("#default").attr('type', 'hidden');
   			$(this).find("#title").attr('style', 'visibility: hidden');
   			$(this).find('#advanceButton').css("background-image","url('/theme/default-image/esia_plus_button.png')");
   		}
   		else
   		{
   			if($(this).find("#default").attr('type') == 'hidden')
   			{
   				$(this).find("#default").attr('type','text');
   				$(this).find("#title").attr('style', 'visibility: visible');
   				$(this).find('#advanceButton').css("background-image","url('/theme/default-image/esia_moins_button.png')");
   			}
   		}
    });
}

function enableOrDisableCheckButton(){
    if( $("#default").val().length>0 && $('td input:checked').length>0){
        $("input[type='submit']").attr("disabled",false);
    }
    else $("input[type='submit']").attr("disabled",true);
}
function enableOrDisableCheckButton(){
    if( $("#default").val().length>0 && $('td input:checked').length>0){
        $("input[type='submit']").attr("disabled",false);
    }
    else $("input[type='submit']").attr("disabled",true);
}

function enableOrDisableAllCheckButton(){
    $("#list_storage input:checkbox:visible").prop('checked', $("#list_storage #allcheckbox").prop('checked'));
}

//Page Vue des VMs
function dialog_confirm_vm_action(css_selector,ok_text,cancel_text)
{
    $( css_selector ).dialog({
      autoOpen: false,
      resizable: false,
      height: "auto",
      width: 400,
      modal: true,
      buttons: {
        [ok_text] : function() {
            var current_url = $(this).data('url');
            var current_index = $("#tabs").tabs("option","active");
            var old_url = $("#tabs .vm-client a").attr('href');
            $("#tabs .vm-client a").attr('href',current_url);
            $( this ).dialog( "close" );

            $("#tabs").tabs('load',current_index);
            $("#tabs .vm-client a").attr('href',old_url);
        },
        [cancel_text] : function() {
          $( this ).dialog( "close" );
        }
      }
    });

    const arr = [ 'start' , 'stop' , 'restart' ];
    $.each(arr, function(index, value) {
        $( ".button-vm-"+value ).on( "click", function(event) {
             event.preventDefault();
            $( "#dialog-vm-"+value ).data( "url" , $(this) .attr('href') );
            $( "#dialog-vm-"+value ).dialog( "open" );
        });
    });
}
