-- VM
INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_STATE', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t state -n $NODENAME -o running -w locked -c stopped,paused','Vérifie les status démarrés, arrétés, vérouillés d''une VM','7',NULL,'','VIRTUALIZATION,API,VM,STATE');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_HA', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t ha_enabled -n $NODENAME -W','Vérifie si une VM à la HA activée','7',NULL,'','VIRTUALIZATION,API,VM,HA');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_AGENT', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t agent_enabled -n $NODENAME -W','Vérifie si l''agent de virtualisation est installé une VM','7',NULL,'','VIRTUALIZATION,API,VM,AGENT');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_CPU', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t cpu_usage -n $NODENAME -w 80 -c 90','Vérifie l''utilisation CPU d''une VM','7',NULL,'','VIRTUALIZATION,API,VM,CPU');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_RAM', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t ram_usage -n $NODENAME -w 80 -c 90','Vérifie l''utilisation mémoire d''une VM','7',NULL,'','VIRTUALIZATION,API,VM,RAM');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_SNAP_MIN', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t snapshots_min -n $NODENAME -c 0 -w 1 -p 7','Vérifie si le nombre de snapshots réalisé depuis la création de la VM ou depuis une période en jour est suffisant','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_SNAP_MAX', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t snapshots_max -n $NODENAME -w 5 -c 10','Vérifie si une VM posséde trop de snapshots et si un nettoyage et souhaité.','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VM_SNAP_OLD', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r vm -t snapshots_old -n $NODENAME -w 90 -c 120','Vérifie si une VM posséde de trop vieux snapshots (warning/critical en jours)','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

-- STORAGE
INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_STORAGE_USAGE', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r storage -t disk_usage -n <storage> -w 80 -c 90','Vérifie l''utilisation disque du storage','7',NULL,'','VIRTUALIZATION,API,STORAGE,SR,DISK');

-- HYPERVISOR
INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_ALIVE', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -n $NODENAME -t alive -C','Vérifie si l''hyperviseur est joignable par le cluster','7',NULL,'','VIRTUALIZATION,API,HOST,HYPERVISOR,ALIVE,STATUS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_CPU', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -n $NODENAME -t cpu_usage -w 80 -c 90','Vérifie l''utilisation CPU d''un hyperviseur','7',NULL,'','VIRTUALIZATION,API,HOST,HYPERVISOR,CPU');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_RAM', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -n $NODENAME -t ram_usage -w 80 -c 90','Vérifie l''utilisation mémoire d''un hyperviseur','7',NULL,'','VIRTUALIZATION,API,HOST,HYPERVISOR,RAM');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_INTERFACE', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -n $NODENAME -t bandwidth -i all -w 30 -c 40','Vérifie l''utilisation des interfaces réseaux d''un hyperviseur','7',NULL,'','VIRTUALIZATION,API,HOST,HYPERVISOR,INTERFACE,NET');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_VM', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -n $NODENAME -t vm_usage -w 40 -c 50','Permet de vérifier la répartition des VMs dans un cluster. Ce plugin vérifie le pourcentage de VMs tournant sur un hyperviseur.','7',NULL,'','VIRTUALIZATION,API,HOST,HYPERVISOR,VM');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_SNAP_MIN', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -t snapshots_min -n $NODENAME -T 3 -c 0 -w 1 -p 7','Vérifie si le nombre de snapshots réalisé depuis la création de VMs ou depuis une période en jour est suffisant','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_SNAP_MAX', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -t snapshots_max -n $NODENAME -T 3 -w 5 -c 10','Vérifie si plusieurs VMs posséde trop de snapshots et si un nettoyage et souhaité.','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_HYPERVISOR_SNAP_OLD', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r hypervisor -t snapshots_old -n $NODENAME -T 3 -w 90 -c 120','Vérifie si plusieurs VMs posséde de trop vieux snapshots (warning/critical en jours)','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

-- CLUSTER
INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_MAN', '/usr/local/esia/plugins/check_api_virtualization.php','default','-H $NODEID','Vérifie et corrige les accès au cluster','7',NULL,'','VIRTUALIZATION,API,CLUSTER,HEALTH,MAN');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_CPU', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t cpu_usage -w 80 -c 90','Vérifie l''utilisation CPU d''un cluster','7',NULL,'','VIRTUALIZATION,API,HOST,CLUSTER,CPU');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_RAM', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t ram_usage -w 80 -c 90','Vérifie l''utilisation mémoire d''un cluster','7',NULL,'','VIRTUALIZATION,API,HOST,CLUSTER,RAM');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_HOSTS', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t hosts_alive -w 100 -c 70','Vérifie le pourcentage minimum d''hyperviseurs devant être disponible dans un cluster','7',NULL,'','VIRTUALIZATION,API,HOST,CLUSTER,HOST,HYPERVISOR');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_SNAP_MIN', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t snapshots_min -T 3 -c 0 -w 1 -p 7','Vérifie si le nombre de snapshots réalisé depuis la création de VMs ou depuis une période en jour est suffisant','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_SNAP_MAX', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t snapshots_max -T 3 -w 5 -c 10','Vérifie si plusieurs VMs posséde trop de snapshots et si un nettoyage et souhaité.','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

INSERT INTO esia_plugins(plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_description, plugin_priority, plugin_html_template, plugin_manufacturer, plugin_tag)
VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_SNAP_OLD', '/usr/local/esia/plugins/check_api_virtualization.php','default','-A $AUTH_FILE_VIRTUALIZATION -r cluster -t snapshots_old -T 3 -w 90 -c 120','Vérifie si plusieurs VMs posséde de trop vieux snapshots (warning/critical en jours)','7',NULL,'','VIRTUALIZATION,API,VM,SNAPSHOTS');

-------------------------------------------------
-- PATTERNS



-- VM
INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_api_vm_ha','Vérifie l''état des resources et de la HA d''une VM');
INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm_ha'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_STATE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_STATE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_HA',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm_ha'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_HA'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_HA'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm_ha'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_CPU'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm_ha'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),300000,NULL,NULL,NULL,NULL,NULL,3);

---------------------------------------------------------------------

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_api_vm','Vérifie l''état des resources d''une VM');
INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_STATE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_STATE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_STATE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_HA',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_HA'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_HA'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_CPU'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_vm'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),300000,NULL,NULL,NULL,NULL,NULL,3);

---------------------------------------------------------------------

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_api_snap','Vérifie l''état des snapshots d''une VM');
INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_SNAP_MIN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_snap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_SNAP_MIN'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_SNAP_MIN'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VM_SNAP_MAX',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_snap'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HOST_ALIVE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VM_SNAP_MAX'),300000,NULL,NULL,NULL,NULL,NULL,3);

---------------------------------------------------------------------

-- HYPERVISORS
INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_api_hypervisor','Vérifie l''état d''un hyperviseur');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_HYPERVISOR_ALIVE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_ALIVE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_ALIVE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_HYPERVISOR_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_CPU'),300000,NULL,NULL,NULL,NULL,NULL,3);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_HYPERVISOR_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_RAM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_RAM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_HYPERVISOR_INTERFACE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_INTERFACE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_INTERFACE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_HYPERVISOR_VM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_hypervisor'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_VM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_VM'),300000,NULL,NULL,NULL,NULL,NULL,3);

-------------------------------

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_api_virtcluster','Vérifie l''état d''un cluster');

INSERT INTO esia_service_pattern_included(
            included_id, included_name, included_pattern_id,
            included_plugin_id,
            included_parameter, included_interval,included_priority)
    VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),
    (SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    (SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),
    300000,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_MAN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_MAN'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_MAN'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_CPU',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_CPU'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_CPU'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_RAM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_RAM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_RAM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_HOSTS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_HOSTS'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_HOSTS'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_SNAP_MAX',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_SNAP_MAX'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_SNAP_MAX'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_API_VIRTCLUSTER_SNAP_OLD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_api_virtcluster'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_SNAP_OLD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_SNAP_OLD'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_CPU'),'GAUGE','#usage ([\d\.,]+)%#',300,DEFAULT,'CPU',0,100,'percent','AREA','#007FFF');

---------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_CPU'),'GAUGE','#usage ([\d\.,]+)%#',300,DEFAULT,'CPU',0,100,'percent','AREA','#007FFF');

---------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_CPU'),'GAUGE','#usage ([\d\.,]+)%#',300,DEFAULT,'CPU',0,100,'percent','AREA','#007FFF');

---------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),'GAUGE','#percent=([0-9\.\,]*)#',300,DEFAULT,'RAM',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),'GAUGE','#total=([0-9\.\,]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VM_RAM'),'GAUGE','#usage=([0-9\.\,]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',2);

---------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_RAM'),'GAUGE','#percent=([0-9\.\,]*)#',300,DEFAULT,'RAM',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_RAM'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_RAM'),'GAUGE','#usage=([0-9\.\,]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',2);

---------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_RAM'),'GAUGE','#percent=([0-9\.\,]*)#',300,DEFAULT,'RAM',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_RAM'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_RAM'),'GAUGE','#usage=([0-9\.\,]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',2);

---------------------------------------------------
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_STORAGE_USAGE'),'GAUGE','#percent=([0-9\.\,]*)#',300,DEFAULT,'Disque',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_STORAGE_USAGE'),'GAUGE','#total=([0-9]*)#',300,DEFAULT,'total',0,-1,'Bytes','AREA','#F79F81',2);
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_STORAGE_USAGE'),'GAUGE','#usage=([0-9\.\,]*)#',300,DEFAULT,'used',0,-1,'Bytes','AREA','#58ACFA',2);

--------------------------------------------------------------------

INSERT INTO rrd_plugins (
    rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
  VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_INTERFACE'),'GAUGE','#data:in=([0-9\.\,]*)#',300,DEFAULT,'in',0,-1,'bps','LINE1','#007FFF',NULL,NULL,NULL);

INSERT INTO rrd_plugins (
  rrd_plugin_id,rrd_type,rrd_regex,rrd_time,rrd_id,rrd_name,rrd_min,rrd_max,rrd_vertical_label,rrd_graph_type,rrd_graph_color,rrd_regex_threshold,rrd_graph_num,rrd_calc)
  VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_HYPERVISOR_INTERFACE'),'GAUGE','#data:out=([0-9\.\,]*)#',300,DEFAULT,'out',0,-1,'bps','AREA','#83bc00',NULL,NULL,NULL);

--------------------------------------------------------------------

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_HOSTS'),'GAUGE','#usage ([\d\.,]+)%#',300,DEFAULT,'Hosts',0,100,'percent','AREA','#007FFF');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_HOSTS'),'GAUGE','#\/\s([\d+\.]+)\)#',300,DEFAULT,'total',0,-1,'Hosts','AREA','#F79F81',2);

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color,rrd_graph_num)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_API_VIRTCLUSTER_HOSTS'),'GAUGE','#\(([\d+\.]+)\s\/#',300,DEFAULT,'alive',0,-1,'Hosts','AREA','#58ACFA',2);
